package com.arrebol.taxiservicios.model.notification;

import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.StopNotificationType;
import java.io.Serializable;

/**
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public class StopNotification implements Serializable {

    private static final long serialVersionUID = -1620476271177389397L;

    private String id;
    private User user;
    private StopNotificationType notificationType;

    public StopNotification() {
    }

    /**
     * Complete constructor.
     *
     * @param id
     * @param user
     * @param notificationType
     */
    public StopNotification(String id, User user, StopNotificationType notificationType) {
        this.id = id;
        this.user = user;
        this.notificationType = notificationType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public StopNotificationType getNotificationType() {
        return notificationType;
    }

    public void setNotificationType(StopNotificationType notificationType) {
        this.notificationType = notificationType;
    }

}
